corosync_knet_link_status_v1 Struct Reference

`#include <cfg.h>`

## Data Fields

uint8_t | enabled
uint8_t | connected
uint8_t | dynconnected
unsigned int | mtu
char | src_ipaddr [CFG_MAX_HOST_LEN]
char | dst_ipaddr [CFG_MAX_HOST_LEN]

## Detailed Description

Definition at line 172 of file cfg.h.

## Field Documentation

## connected

uint8_t corosync_knet_link_status_v1::connected

Definition at line 174 of file cfg.h.

## dst_ipaddr

char corosync_knet_link_status_v1::dst_ipaddr[CFG_MAX_HOST_LEN]

Definition at line 178 of file cfg.h.

## dynconnected

uint8_t corosync_knet_link_status_v1::dynconnected

Definition at line 175 of file cfg.h.

## enabled

uint8_t corosync_knet_link_status_v1::enabled

Definition at line 173 of file cfg.h.

## mtu

unsigned int corosync_knet_link_status_v1::mtu

Definition at line 176 of file cfg.h.

## src_ipaddr

char corosync_knet_link_status_v1::src_ipaddr[CFG_MAX_HOST_LEN]

Definition at line 177 of file cfg.h.

The documentation for this struct was generated from the following file:

- cfg.h